<?php

namespace Plugilo\Plugilo\Api;

interface ResponseItemInterface
{
    const DATA_ID = 'id';
    const DATA_PRICE = 'price';

    /**
     * @return int
     */
    public function getId();
    /**
     * @return float
     */
    public function getPrice();

    /**
     * @param int $id
     * @return $this
     */
    public function setId(int $id);

    /**
     * @param float $price
     * @return $this
     */
    public function setPrice(float $price);
}
